using System;
using UnityEngine.UIElements;

namespace KitsuneCafe.UI
{
  public interface ILayout
  {
    FlowDirection Direction { get; }
    float ContentSize { get; }
    int Buffer { get; }

    float GetItemPosition(int index);
    float GetItemSize(int index);
    Range GetVisibleRange(float offset, float size);
    void Update(int itemCount, VisualElement container);
  }
}
